/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.elementLibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.Size;
import java.io.Serializable;
import java.util.List;

/**
* 查询接口--数据传输对象：元素目录管理
*
* createdate:  2022-11-04 09:57:50  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "元素目录管理")
public class AtuElementGroupQueryDto implements Serializable
{
    /**
     * 目录名称<br>
     */
    @ApiModelProperty("目录名称")
    @Size(max = 255, message="目录名称: 数据长度不能 > 255" )
    private String groupName;
    /**
     * 父目录ID<br>
     */
    @ApiModelProperty("父目录ID")
    @Size(max = 32, message="父目录ID-pid: 数据长度不能 > 32" )
    private String pid;
    /**
     * 租户号<br>
     */
    @ApiModelProperty("租户号")
    @Size(max = 32, message="租户号-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    @ApiModelProperty("系统id列表")
    private List<String> projectIds;

    @ApiModelProperty("是否为多系统 false-单系统 true-多系统")
    private boolean moreProject;

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getTenantId() {
        return tenantId;
    }

    public void setTenantId(String tenantId) {
        this.tenantId = tenantId;
    }

    public List<String> getProjectIds() {
        return projectIds;
    }

    public void setProjectIds(List<String> projectIds) {
        this.projectIds = projectIds;
    }

    public boolean isMoreProject() {
        return moreProject;
    }

    public void setMoreProject(boolean moreProject) {
        this.moreProject = moreProject;
    }
}